namespace Infrastructure.DataAccess.UsersMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class TestSuiteOptionalRemoved : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.TestCase", "TestSuiteID", "dbo.TestSuite");
            DropIndex("dbo.TestCase", new[] { "TestSuiteID" });
            AlterColumn("dbo.TestCase", "TestSuiteID", c => c.Int(nullable: false));
            CreateIndex("dbo.TestCase", "TestSuiteID");
            AddForeignKey("dbo.TestCase", "TestSuiteID", "dbo.TestSuite", "ID", cascadeDelete: false);
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.TestCase", "TestSuiteID", "dbo.TestSuite");
            DropIndex("dbo.TestCase", new[] { "TestSuiteID" });
            AlterColumn("dbo.TestCase", "TestSuiteID", c => c.Int());
            CreateIndex("dbo.TestCase", "TestSuiteID");
            AddForeignKey("dbo.TestCase", "TestSuiteID", "dbo.TestSuite", "ID");
        }
    }
}
